Name:	 recode
Version: 3.7.14
Release: 1
Summary: Converter between charsets and surfaces
License: GPLv3 and LGPLv3
URL:	 https://www.gnu.org/software/recode/
Source0: https://github.com/rrthomas/recode/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  libtool texinfo autoconf automake coreutils gcc gettext-devel 
BuildRequires:  help2man make python3-Cython python3-devel >= 3.7.5
Requires:  info

%description
The recode library converts files between character sets and usages.
It recognises or produces more than 300 different character sets
and transliterates files between almost any pair.  When exact
transliteration are not possible, it gets rid of offending characters
or fall back on approximations.  The recode program is a handy
front-end to the library.

%package devel
Summary:  Development header files for using the recode library
Requires: %{name} = %{version}-%{release}
Provides: %{name}-static
Obsoletes: %{name}-static

%description devel
The recode library converts files between character sets and usages.
The recode-devel package provides the necessary development libraries
and include files to allow you to develop applications using the recode
libraries.

%package        help
Summary:        Documents for %{name}
Buildarch:      noarch
Requires:	man info

%description help
Man pages and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -vif
%configure
make %{?_smp_mflags}

%check
make check %{?_smp_mflags}

%install
%make_install
%find_lang %{name}

%post
/sbin/ldconfig
if [ -f %{_infodir}/%{name}.info.gz ]; then
  /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi
%preun
if [ $1 = 0 ]; then
  if [ -f %{_infodir}/%{name}.info.gz ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
  fi
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING*
%{_bindir}/recode
%{_libdir}/librecode.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/librecode.so
%{_libdir}/librecode.*a

%files help
%doc ABOUT-NLS AUTHORS ChangeLog INSTALL NEWS README THANKS TODO
%{_infodir}/*.info.gz
%exclude %{_infodir}/dir*
%{_mandir}/man1/*.1.gz

%changelog
* Thu Jul 13 2023 dillon chen <dillon.chen@gmail.com> - 3.7.14-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:update to 3.7.14

* Tue Jan 31 2023 chenziyang <chenziyang4@huawei.com> - 3.7.13-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:update to 3.7.13

* Mon Dec 26 2022 zhoupengcheng <zhoupengcheng11@huawei.com> - 3.7.9-3
- DESC:change license in spec

* Sat Aug 20 2022 shixuantong <shixuantong@h-partners.com> - 3.7.9-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:remove duplicated recode.info.gz file

* Sat Nov 20 2021 shangyibin <shangyibin1@huawei.com> - 3.7.9-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:update to 3.7.9

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 3.7.8-1
- upgrade version to 3.7.8

* Tue Jul 28 2020 shixuantong <shixuantong@huawei.com> - 3.7.6-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:update to 3.7.6-1

* Sat Jan 11 2020 zhangguangzhi<zhangguangzhi3@huawei.com> - 3.6-50
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:del patch to be consistent with open source

* Fri Aug 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.6-49
- Package init
